/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package peaconnector;

/**
 *
 * @author Csubák Péter
 */
public class SchemaMapElement extends SchemaListElement {

    private String keysName;
    private Class keysType;
    private String valuesName;
    private Class valuesType;

    public SchemaMapElement() {
    }

    @Override
    public void setByAnnot(SEAnnot annot) {
        super.setByAnnot(annot);
        this.keysName = annot.keysName();
        this.keysType = annot.keysType();
        this.valuesName = annot.valuesName();
        this.valuesType = annot.valuesType();
    }

    public SchemaMapElement(String schemaName, String name, String elementsName, String keysName, String valuesName, Class keysType, Class valuesType) {
        super(schemaName, name, elementsName, null);
        this.keysName = keysName;
        this.keysType = keysType;
        this.valuesName = valuesName;
        this.valuesType = valuesType;
    }

    public String getKeysName() {
        return keysName;
    }

    public String getValuesName() {
        return valuesName;
    }

    public Class getKeysType() {
        return keysType;
    }

    public Class getValuesType() {
        return valuesType;
    }



}
